StringBuffer
Date: 2016-06-24

java.lang

## Class StringBuffer

- java.lang.Object
- - java.lang.StringBuffer

- All Implemented Interfaces:
    Serializable, CharSequence

      public final class StringBuffer
      extends Object
      implements Serializable, CharSequence

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringBuffer()`
    `StringBuffer(int var0)`
    `StringBuffer(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuffer` | `append(boolean var0)`
    `StringBuffer` | `append(char var0)`
    `StringBuffer` | `append(char[] var0)`
    `StringBuffer` | `append(char[] var0, int var1, int var2)`
    `StringBuffer` | `append(double var0)`
    `StringBuffer` | `append(float var0)`
    `StringBuffer` | `append(int var0)`
    `StringBuffer` | `append(long var0)`
    `StringBuffer` | `append(Object var0)`
    `StringBuffer` | `append(String var0)`
    `StringBuffer` | `append(StringBuffer var0)`
    `int` | `capacity()`
    `char` | `charAt(int var0)`
    `StringBuffer` | `delete(int var0, int var1)`
    `StringBuffer` | `deleteCharAt(int var0)`
    `void` | `ensureCapacity(int var0)`
    `void` | `getChars(int var0, int var1, char[] var2, int var3)`
    `int` | `indexOf(String var0)`
    `int` | `indexOf(String var0, int var1)`
    `StringBuffer` | `insert(int var0, boolean var1)`
    `StringBuffer` | `insert(int var0, char var1)`
    `StringBuffer` | `insert(int var0, char[] var1)`
    `StringBuffer` | `insert(int var0, char[] var1, int var2, int var3)`
    `StringBuffer` | `insert(int var0, double var1)`
    `StringBuffer` | `insert(int var0, float var1)`
    `StringBuffer` | `insert(int var0, int var1)`
    `StringBuffer` | `insert(int var0, long var1)`
    `StringBuffer` | `insert(int var0, Object var1)`
    `StringBuffer` | `insert(int var0, String var1)`
    `int` | `lastIndexOf(String var0)`
    `int` | `lastIndexOf(String var0, int var1)`
    `int` | `length()`
    `StringBuffer` | `replace(int var0, int var1, String var2)`
    `StringBuffer` | `reverse()`
    `void` | `setCharAt(int var0, char var1)`
    `void` | `setLength(int var0)`
    `CharSequence` | `subSequence(int var0, int var1)`
    `String` | `substring(int var0)`
    `String` | `substring(int var0, int var1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.CharSequence

      `toString`

- - ### Constructor Detail

    - #### StringBuffer

          public StringBuffer()

    - #### StringBuffer

          public StringBuffer(int var0)

    - #### StringBuffer

          public StringBuffer(String var0)

  - ### Method Detail

    - #### append

          public StringBuffer append(char var0)

    - #### append

          public StringBuffer append(double var0)

    - #### append

          public StringBuffer append(float var0)

    - #### append

          public StringBuffer append(int var0)

    - #### append

          public StringBuffer append(long var0)

    - #### append

          public StringBuffer append(Object var0)

    - #### append

          public StringBuffer append(String var0)

    - #### append

          public StringBuffer append(StringBuffer var0)

    - #### append

          public StringBuffer append(boolean var0)

    - #### append

          public StringBuffer append(char[] var0)

    - #### append

          public StringBuffer append(char[] var0,
                            int var1,
                            int var2)

    - #### capacity

          public int capacity()

    - #### charAt

          public char charAt(int var0)

      Specified by:
        `charAt` in interface `CharSequence`

    - #### delete

          public StringBuffer delete(int var0,
                            int var1)

    - #### deleteCharAt

          public StringBuffer deleteCharAt(int var0)

    - #### ensureCapacity

          public void ensureCapacity(int var0)

    - #### getChars

          public void getChars(int var0,
                      int var1,
                      char[] var2,
                      int var3)

    - #### indexOf

          public int indexOf(String var0)

    - #### indexOf

          public int indexOf(String var0,
                    int var1)

    - #### insert

          public StringBuffer insert(int var0,
                            char var1)

    - #### insert

          public StringBuffer insert(int var0,
                            double var1)

    - #### insert

          public StringBuffer insert(int var0,
                            float var1)

    - #### insert

          public StringBuffer insert(int var0,
                            int var1)

    - #### insert

          public StringBuffer insert(int var0,
                            long var1)

    - #### insert

          public StringBuffer insert(int var0,
                            Object var1)

    - #### insert

          public StringBuffer insert(int var0,
                            String var1)

    - #### insert

          public StringBuffer insert(int var0,
                            boolean var1)

    - #### insert

          public StringBuffer insert(int var0,
                            char[] var1)

    - #### insert

          public StringBuffer insert(int var0,
                            char[] var1,
                            int var2,
                            int var3)

    - #### lastIndexOf

          public int lastIndexOf(String var0)

    - #### lastIndexOf

          public int lastIndexOf(String var0,
                        int var1)

    - #### length

          public int length()

      Specified by:
        `length` in interface `CharSequence`

    - #### replace

          public StringBuffer replace(int var0,
                             int var1,
                             String var2)

    - #### reverse

          public StringBuffer reverse()

    - #### setCharAt

          public void setCharAt(int var0,
                       char var1)

    - #### setLength

          public void setLength(int var0)

    - #### subSequence

          public CharSequence subSequence(int var0,
                                 int var1)

      Specified by:
        `subSequence` in interface `CharSequence`

    - #### substring

          public String substring(int var0)

    - #### substring

          public String substring(int var0,
                         int var1)